Subject: Re: [PATCH v3] Add user.explicit boolean for when ident shouldn't be guessed

From: Dan Aloni <[email-masked]>
Date: Thu, 4 Feb 2016 11:07:11 +0200

On Thu, Feb 04, 2016 at 12:50:35AM -0500, Jeff King wrote:
> On Thu, Feb 04, 2016 at 07:36:46AM +0200, Dan Aloni wrote:
>[..]
> > The code should be cleaned up anyway. I only delved into that code for
> > the first time two days ago, so it would take me more time to come up
> > with a new one (though reading your overview here of the cases is going
> > to be helpful, thanks).
> 
> Feel free to look into this direction, but having pushed a little
> further towards the "simple" approach (with the 2 patches I just sent),
> I think that does what you want without too much complication. I'd be
> fine, too, if you wanted to pick those up[1] and put the finishing
> touches on the second one.
> 
> -Peff
> 
> [1] To clarify, since you are new to the git.git workflow: I'd expect
>     you to use `git am` to pick up my two patches. Leave me as the
>     author of the first cleanup patch. Squash your additions onto the
>     second one using `cherry-pick`, `commit --amend`, or whatever, and
>     make sure to `commit --reset-author` so that you're the author. Post
>     both as part of the v4 re-roll.
> 
>     But that's just "here is what I meant", not "what you have to do". :)

Thanks. Being familiar with Linux kernel patch submission process, good to
be focused about git.git's idiosyncrasies too.

The cleanup was easy thanks to your patches. Going to post v4.

-- 
Dan Aloni